%define upstream_name    Email-MIME-Kit-Renderer-TT
%define upstream_version 1.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Render parts of your mail with Template-Toolkit
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::MIME::Kit) >= 2.0.0
BuildRequires: perl(Email::MIME::Kit::Role::Renderer)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Template) >= 2.100.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a renderer plugin for the Email::MIME::Kit manpage, and renders
message parts using Template. When specifying a renderer in
_manifest.json_, you might write something like this:

  { ..., "renderer": "TT" }

Or, to supply options:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.3.0-2.mga10
+ Revision: 2217103
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 tv <tv> 1.3.0-1.mga9
+ Revision: 1929009
- update to 1.003

* Thu Oct 27 2022 tv <tv> 1.2.0-1.mga9
+ Revision: 1899731
- update to 1.002

* Mon Mar 21 2022 umeabot <umeabot> 1.1.0-2.mga9
+ Revision: 1812662
- Mageia 9 Mass Rebuild

* Wed Apr 29 2020 guillomovitch <guillomovitch> 1.1.0-1.mga8
+ Revision: 1573295
- imported package perl-Email-MIME-Kit-Renderer-TT

